Bug 1574976 - [abrt] gnome-shell: _cogl_texture_2d_sliced_is_sliced(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: _cogl_texture_2d_sliced_is_sliced(): gnome-shell killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:237855a7240d1b2e77efe36d7ae...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 12:52 UTC by Alexis Engelke
Modified: 2019-05-28 20:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:05:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (111.66 KB, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: core_backtrace (53.75 KB, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: dso_list (25.93 KB, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: environ (3.61 KB, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: exploitable (100 bytes, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-04 12:52 UTC, Alexis Engelke
no flags Details
File: maps (114.78 KB, text/plain)
2018-05-04 12:53 UTC, Alexis Engelke
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-05-04 12:53 UTC, Alexis Engelke
no flags Details
File: open_fds (8.49 KB, text/plain)
2018-05-04 12:53 UTC, Alexis Engelke
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-04 12:53 UTC, Alexis Engelke
no flags Details
File: var_log_messages (13.75 KB, text/plain)
2018-05-04 12:53 UTC, Alexis Engelke
no flags Details

Description Alexis Engelke 2018-05-04 12:52:44 UTC
Description of problem:
The crash happens when an external screen is connected. When the internal screen (of a Dell Latiture E6430 laptop) is the primary screen, "only" some characters and icons are rendered as white boxes; when the external screen is primary (or the only one), gnome-shell segfaults immediately. This also happens to the gnome-shell instance running in GDM, essentially preventing a login when an external monitor is connected.
This happened right after the upgrade to F28 and didn't occur with F27.

NVIDIA Corporation GF108GLM [NVS 5200M]

Version-Release number of selected component:
gnome-shell-3.28.1-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _cogl_texture_2d_sliced_is_sliced
executable:     /usr/bin/gnome-shell
journald_cursor: s=28543987d01644e68382e4c6edec2f36;i=d110;b=7335649084a94070b5d761e1976e059b;m=ca1bd41;t=56b606c8b0fab;x=e4cd72dc6842af2
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cogl_texture_2d_sliced_is_sliced at cogl-texture-2d-sliced.c:1300
 #1 _cogl_rectangles_validate_layer_cb at cogl-primitives.c:563
 #2 cogl_pipeline_foreach_layer at cogl-pipeline.c:735
 #3 _cogl_framebuffer_draw_multitextured_rectangles at cogl-primitives.c:658
 #4 cogl_framebuffer_draw_textured_rectangle at cogl-framebuffer.c:2456
 #5 draw_texture at compositor/meta-background.c:515
 #6 meta_background_get_texture at compositor/meta-background.c:850
 #7 setup_pipeline at compositor/meta-background-actor.c:355
 #8 meta_background_actor_paint at compositor/meta-background-actor.c:506
 #9 clutter_actor_continue_paint at clutter-actor.c:4030

Comment 1 Alexis Engelke 2018-05-04 12:52:50 UTC
Created attachment 1431321 [details]
File: backtrace

Comment 2 Alexis Engelke 2018-05-04 12:52:51 UTC
Created attachment 1431322 [details]
File: cgroup

Comment 3 Alexis Engelke 2018-05-04 12:52:53 UTC
Created attachment 1431323 [details]
File: core_backtrace

Comment 4 Alexis Engelke 2018-05-04 12:52:54 UTC
Created attachment 1431324 [details]
File: cpuinfo

Comment 5 Alexis Engelke 2018-05-04 12:52:56 UTC
Created attachment 1431325 [details]
File: dso_list

Comment 6 Alexis Engelke 2018-05-04 12:52:57 UTC
Created attachment 1431326 [details]
File: environ

Comment 7 Alexis Engelke 2018-05-04 12:52:58 UTC
Created attachment 1431327 [details]
File: exploitable

Comment 8 Alexis Engelke 2018-05-04 12:52:59 UTC
Created attachment 1431328 [details]
File: limits

Comment 9 Alexis Engelke 2018-05-04 12:53:01 UTC
Created attachment 1431329 [details]
File: maps

Comment 10 Alexis Engelke 2018-05-04 12:53:03 UTC
Created attachment 1431330 [details]
File: mountinfo

Comment 11 Alexis Engelke 2018-05-04 12:53:04 UTC
Created attachment 1431331 [details]
File: open_fds

Comment 12 Alexis Engelke 2018-05-04 12:53:06 UTC
Created attachment 1431332 [details]
File: proc_pid_status

Comment 13 Alexis Engelke 2018-05-04 12:53:07 UTC
Created attachment 1431333 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 21:51:09 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:05:54 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.